#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ktouchopenrequest_dlg.ui'
**
** Created: 2012-10-09T21:57:28
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ktouchopenrequest_dlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcombobox.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <ksqueezedtextlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KTouchOpenRequestDlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KTouchOpenRequestDlg::KTouchOpenRequestDlg( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KTouchOpenRequestDlg" );
    KTouchOpenRequestDlgLayout = new QVBoxLayout( this, 11, 6, "KTouchOpenRequestDlgLayout"); 

    openChoiceGroup = new QButtonGroup( this, "openChoiceGroup" );
    openChoiceGroup->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, openChoiceGroup->sizePolicy().hasHeightForWidth() ) );
    openChoiceGroup->setColumnLayout(0, Qt::Vertical );
    openChoiceGroup->layout()->setSpacing( 6 );
    openChoiceGroup->layout()->setMargin( 11 );
    openChoiceGroupLayout = new QGridLayout( openChoiceGroup->layout() );
    openChoiceGroupLayout->setAlignment( Qt::AlignTop );

    currentRadioBtn = new QRadioButton( openChoiceGroup, "currentRadioBtn" );
    currentRadioBtn->setTqminimumSize( QSize( 0, 28 ) );

    openChoiceGroupLayout->addWidget( currentRadioBtn, 0, 0 );

    presetRadioBtn = new QRadioButton( openChoiceGroup, "presetRadioBtn" );
    presetRadioBtn->setTqminimumSize( QSize( 0, 28 ) );

    openChoiceGroupLayout->addWidget( presetRadioBtn, 1, 0 );

    presetCombo = new QComboBox( FALSE, openChoiceGroup, "presetCombo" );

    openChoiceGroupLayout->addWidget( presetCombo, 1, 1 );

    newRadioBtn = new QRadioButton( openChoiceGroup, "newRadioBtn" );

    openChoiceGroupLayout->addWidget( newRadioBtn, 4, 0 );
    spacer1 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Fixed );
    openChoiceGroupLayout->addItem( spacer1, 3, 0 );
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    openChoiceGroupLayout->addItem( spacer3, 5, 0 );

    tqlayout3 = new QHBoxLayout( 0, 0, 6, "tqlayout3"); 

    openFileEdit = new KLineEdit( openChoiceGroup, "openFileEdit" );
    tqlayout3->addWidget( openFileEdit );

    browseBtn = new KPushButton( openChoiceGroup, "browseBtn" );
    browseBtn->setFlat( FALSE );
    tqlayout3->addWidget( browseBtn );

    openChoiceGroupLayout->addLayout( tqlayout3, 2, 1 );

    currentLabel = new KSqueezedTextLabel( openChoiceGroup, "currentLabel" );

    openChoiceGroupLayout->addWidget( currentLabel, 0, 1 );

    openFileRadioBtn = new QRadioButton( openChoiceGroup, "openFileRadioBtn" );
    openFileRadioBtn->setTqminimumSize( QSize( 0, 28 ) );

    openChoiceGroupLayout->addWidget( openFileRadioBtn, 2, 0 );
    KTouchOpenRequestDlgLayout->addWidget( openChoiceGroup );

    tqlayout1 = new QHBoxLayout( 0, 0, 6, "tqlayout1"); 
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout1->addItem( spacer2 );

    okBtn = new KPushButton( this, "okBtn" );
    okBtn->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, okBtn->sizePolicy().hasHeightForWidth() ) );
    okBtn->setAutoDefault( TRUE );
    tqlayout1->addWidget( okBtn );

    cancelBtn = new KPushButton( this, "cancelBtn" );
    tqlayout1->addWidget( cancelBtn );
    KTouchOpenRequestDlgLayout->addLayout( tqlayout1 );
    languageChange();
    resize( QSize(436, 236).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( okBtn, SIGNAL( clicked() ), this, SLOT( okBtnClicked() ) );
    connect( cancelBtn, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( currentRadioBtn, SIGNAL( clicked() ), this, SLOT( radioBtnChanged() ) );
    connect( presetRadioBtn, SIGNAL( clicked() ), this, SLOT( radioBtnChanged() ) );
    connect( openFileRadioBtn, SIGNAL( clicked() ), this, SLOT( radioBtnChanged() ) );
    connect( newRadioBtn, SIGNAL( clicked() ), this, SLOT( radioBtnChanged() ) );
    connect( browseBtn, SIGNAL( clicked() ), this, SLOT( browseBtnClicked() ) );

    // tab order
    setTabOrder( currentRadioBtn, presetRadioBtn );
    setTabOrder( presetRadioBtn, presetCombo );
    setTabOrder( presetCombo, openFileRadioBtn );
    setTabOrder( openFileRadioBtn, browseBtn );
    setTabOrder( browseBtn, newRadioBtn );
    setTabOrder( newRadioBtn, okBtn );
    setTabOrder( okBtn, cancelBtn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KTouchOpenRequestDlg::~KTouchOpenRequestDlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KTouchOpenRequestDlg::languageChange()
{
    setCaption( tr2i18n( "Open Something in Editor" ) );
    openChoiceGroup->setTitle( tr2i18n( "Select File to Open" ) );
    currentRadioBtn->setText( tr2i18n( "Current something" ) );
    presetRadioBtn->setText( tr2i18n( "Preset something:" ) );
    newRadioBtn->setText( tr2i18n( "New something" ) );
    browseBtn->setText( tr2i18n( "Browse..." ) );
    currentLabel->setText( tr2i18n( "Current something file" ) );
    openFileRadioBtn->setText( tr2i18n( "Open file:" ) );
    okBtn->setText( tr2i18n( "&OK" ) );
    cancelBtn->setText( tr2i18n( "&Cancel" ) );
}

void KTouchOpenRequestDlg::okBtnClicked()
{
    qWarning( "KTouchOpenRequestDlg::okBtnClicked(): Not implemented yet" );
}

void KTouchOpenRequestDlg::radioBtnChanged()
{
    qWarning( "KTouchOpenRequestDlg::radioBtnChanged(): Not implemented yet" );
}

void KTouchOpenRequestDlg::browseBtnClicked()
{
    qWarning( "KTouchOpenRequestDlg::browseBtnClicked(): Not implemented yet" );
}

#include "ktouchopenrequest_dlg.moc"
